ECVT_R(3)

NAME
ecvt_r, fcvt_r, qecvt_r, qfcvt_r - convert a floating-point number to a string

SYNOPSIS
#include <stdlib.h>

int ecvt_r(double number, int ndigits, int *decpt,
           int *sign, char *buf, size_t len);

int fcvt_r(double number, int ndigits, int *decpt,
           int *sign, char *buf, size_t len);

int qecvt_r(long double number, int ndigits, int *decpt,
           int *sign, char *buf, size_t len);

int qfcvt_r(long double number, int ndigits, int *decpt,
           int *sign, char *buf, size_t len);

DESCRIPTION
The functions ecvt_r(), fcvt_r(), qecvt_r() and qfcvt_r() are identical to ecvt, fcvt, qecvt and qfcvt, respectively, except that they do not return their result in a static buffer, but instead use the supplied buf of size len. See ecvt(3) and qecvt(3).

RETURN VALUE
These functions return 0 on success, and -1 otherwise.

CONFORMING TO
These functions are GNU extensions.

NOTES
These functions are obsolete. Instead, sprintf(3) is recommended.

SEE ALSO
ecvt(3), qecvt(3), sprintf(3)